For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
        • GETGet Eligible Merchants
        • GETGet Merchant by ID
        • GETGet Merchants
Get supportSee a Demo
API ReferenceRewardsMerchants

Get Merchants

Deprecated
GET
/rewards/merchant
GET
/rewards/merchant
$curl -G https://rewards-api.getkard.com/rewards/merchant \
> -H "Authorization: Bearer <token>" \
> -d limit=1 \
> -d page=0
1[
2 {
3 "_id": "5e27318c9b346f00087fbb5c",
4 "acceptedCards": [
5 "AMERICAN EXPRESS",
6 "MASTERCARD",
7 "VISA",
8 "DISCOVER"
9 ],
10 "category": "Food & Beverage",
11 "createdDate": "2022-03-12T05:00:58.456Z",
12 "description": "N/A",
13 "imgUrl": "https://www.somemerchant.com/image.png",
14 "lastModified": "2022-03-12T05:00:58.456Z",
15 "name": "Some merchant",
16 "offers": [
17 {
18 "_id": "5e27318c9b346f00087fbb5b",
19 "commissionType": "PERCENT",
20 "createdDate": "2022-03-12T05:00:58.456Z",
21 "expirationDate": "2022-03-12T05:00:58.456Z",
22 "isLocationSpecific": false,
23 "isTargeted": true,
24 "lastModified": "2022-03-12T05:00:58.456Z",
25 "merchantId": "5e27318c9b346f00087fbb5c",
26 "name": "Some offer",
27 "offerType": "INSTORE",
28 "optInRequired": false,
29 "redeemableOnce": true,
30 "startDate": "2022-01-01T05:00:00Z",
31 "status": "ACTIVE",
32 "terms": "Not all cards are eligible and not all transactions can be monitored. For debit cards, run transaction as credit, do not use PIN. Offer valid from 12/19/2018. Maximum individual reward 250 dollars. The business may change or end the Offer at any time up to the point of purchase without notice.",
33 "totalCommission": 9.5,
34 "issuersCommission": 3.5,
35 "maxRewardAmount": 20,
36 "maxTransactionAmount": 20,
37 "merchantLocationIds": [
38 "12abc45ef"
39 ],
40 "minRewardAmount": 5,
41 "minTransactionAmount": 5,
42 "usersCommission": 6
43 }
44 ],
45 "source": "NATIONAL",
46 "websiteURL": "https://www.somemerchant.com",
47 "bannerImgUrl": "https://www.somemerchant.com/bannerImage.png",
48 "type": "CARDLINKED"
49 }
50]
Retrieve ALL national and local merchant data regardless of whether a user is eligible to see them. This endpoint is a legacy endpoint and will no longer be maintained soon. Instead, use [Get Eligible Merchants](/legacy/api/rewards/merchants/get-merchants-by-user) to retrieve national merchant data and build your [targeted offers UX experience](https://github.com/kard-financial/kard-postman?tab=readme-ov-file#b-targeted-offers). Local merchants and offers details can be found by calling the [Get Eligible Locations](/legacy/api/rewards/locations/get-locations-by-user) endpoint with the `includeLocal` query parameter.<br/> <b>Required scopes:</b> `rewards:read`
Was this page helpful?
Previous

Get Eligible Offers

Next
Built with

Retrieve ALL national and local merchant data regardless of whether a user is eligible to see them. This endpoint is a legacy endpoint and will no longer be maintained soon. Instead, use Get Eligible Merchants to retrieve national merchant data and build your targeted offers UX experience. Local merchants and offers details can be found by calling the Get Eligible Locations endpoint with the includeLocal query parameter.
Required scopes: rewards:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional

Page number [>= 0], (default = 0)

limitintegerOptional

Maximum number of merchants [1 - 200], (default = 200)

sourceenumOptional
Merchant source
Allowed values:
categoryenumOptional

Category of merchant. Please use URL Encode for non single word categories. (Food & Beverage should be Food%20%26%20Beverage)

Response

This endpoint returns a list of objects.
_idstring
Merchant ID in Kard's system
acceptedCardslist of enums
Allowed values:
categoryenum
Category of merchant
createdDatedatetime

Created date of merchant in Kard’s system (UTC)

descriptionstring

Merchant description - usually a blurb outlining more details about the merchant

imgUrlstring
Merchant image asset URL
lastModifieddatetime

Last modified date of merchant in Kard’s system (UTC)

namestring
Merchant name
offerslist of objects
Offers associated to the merchant
sourceenum
Merchant source
Allowed values:
websiteURLstring
Merchant's URL website
bannerImgUrlstring
Merchant banner image asset URL

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error